use aoc22::{
    day11::{self, monkey_business},
    util,
};

const N_ROUNDS: usize = 20;

pub fn main() {
    env_logger::init();

    let monkeys = day11::parse_monkeys(&util::parse_input());

    for _ in 0..N_ROUNDS {
        day11::do_round(&monkeys, true);
    }

    println!(
        "Monkey business after {} rounds is {}",
        N_ROUNDS,
        monkey_business(&monkeys)
    );
}
