use aoc22::{day4, util};

pub fn main() {
    let assignments = day4::parse_assignments(&util::parse_input());

    let overlapping = assignments
        .iter()
        .filter(|a| a.0.contains(&a.1) || a.1.contains(&a.0))
        .count();

    println!("{} assignments overlap", overlapping);
}
